# SETI_BOINC is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2, or (at your option) any later
# version.

AC_PREREQ([2.54])
	
AC_DEFUN([SAH_HEADER_STDCXX],[
  save_inc="$ac_includes_default"
  ac_includes_default="$ac_includes_default 
#define CONFIG_TEST
#include \"$BOINCDIR/lib/std_fixes.h\" 
"
  sah_stdcxx_headers="algorithm bitset cassert cctype cerrno cfloat climits clocale cmath complex csetjmp csignal cstdarg cstddef cstdio cstdlib cstring ctime deque fstream functional iomanip ios iosfwd iostream istream iterator limits list locale map memory numeric ostream queue set sstream stack stdexcept streambuf string utility valarray vector"
  AC_LANG_PUSH(C++) 
  AC_CHECK_HEADERS([$sah_stdcxx_headers])
  for header in $sah_stdcxx_headers 
  do
    eval tmp_var=\$ac_cv_header_${header}
    if test "$tmp_var" = "yes"
    then 
      sah_cxx_includes="$sah_cxx_includes 
#include <$header>
"
    fi
  done
  AC_CACHE_SAVE
  AC_LANG_POP
  ac_includes_default="$save_inc"
  CONFIG_TEST=
])

