// Copyright 2003 Regents of the University of California

// SETI_BOINC is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2, or (at your option) any later
// version.

// SETI_BOINC is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.

// You should have received a copy of the GNU General Public License along
// with SETI_BOINC; see the file COPYING.  If not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

// $Id: malloc_a.h,v 1.5 2004/04/12 23:28:29 davea Exp $
// memory alignment multiple for large arrays
#define MEM_ALIGN 64

#if (!defined(_WIN32) || !defined(_DEBUG))
void* malloc_a(size_t size, size_t alignment);
void* calloc_a(size_t size, size_t nitems, size_t alignment);
void free_a(void *palignedMem);
#endif
